package com.izouma.nineth.dto.sumpay;

import com.alibaba.fastjson.annotation.JSONField;
import fosun.sumpay.merchant.integration.core.request.MerchantBaseRequest;
import lombok.Data;

@Data
public class Withdraw extends MerchantBaseRequest {

    private String partner_id;

    private String order_no;

    private String order_amount;

    private String order_time;

    private String user_id;

    private String bind_card_id;

    private String pay_password;

    //0-否，1-是
    private String need_notify;


    private String notify_url;


    @JSONField(
            serialize = false
    )
    @Override
    public String[] getBase64EncodedWords() {
        return new String[]{"terminal_info", "longitude", "latitude", "notify_url", "share_benefit_exp"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getAesEncodedWords() {
        return new String[]{"pay_password"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getCharsetChangeWords() {
        return new String[]{"terminal_info"};
    }


}
